Person (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Person interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Person

All Superinterfaces:
  ManagedElement, ModelObject, OrganizationalEntity, java.io.Serializable

    public interface Person

extends OrganizationalEntity

A human being

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Account[]` | `getAccount()`
`java.lang.String` | `getFirstName()`
`boolean` | `getIsManager()` Description:Used to track whether or not the person has Manager responsibilities Standard Content Origin / Best Practice Content:The contents of this attribute should accurately match the value that matches the Human Resources record of the person.
`java.lang.String` | `getLastName()`
`java.lang.String` | `getMiddleName()` Description: Represents the name or names of a person, where those names are between the name used in the FirstName attribute and the name used in the LastName attribute Standard Content Origin / Best Practice Content:The contents of this attribute should accurately match the value that matches the Human Resources record of the person.
`Organization[]` | `getOrganization()`
`Role[]` | `getRole()`
`boolean` | `hasAccount()`
`boolean` | `hasFirstName()`
`boolean` | `hasIsManager()`
`boolean` | `hasLastName()`
`boolean` | `hasMiddleName()`
`boolean` | `hasOrganization()`
`boolean` | `hasRole()`
`void` | `setAccount(Account[] x)`
`void` | `setFirstName(java.lang.String x)`
`void` | `setIsManager(boolean x)`
`void` | `setLastName(java.lang.String x)`
`void` | `setMiddleName(java.lang.String x)`
`void` | `setOrganization(Organization[] x)`
`void` | `setRole(Role[] x)`

Methods inherited from interface com.collation.platform.model.topology.process.OrganizationalEntity
`getAssignedContactpurpose, getAssignedRoles, getBusinessCategory, getCAGECode, getContactpurposeOwner, getDUNSNumber, getEmail, getEntityName, getFax, getGlobalName, getISICCode, getManager, getManagingEntity, getMobilePhone, getNAICSCode, getName, getNAPCSCode, getNote, getOwnedPurpose, getSICCode, getSupportedPurpose, getSupportingContactPurpose, getTitle, getType, getURL, getWorkPhone, hasAssignedContactpurpose, hasAssignedRoles, hasBusinessCategory, hasCAGECode, hasContactpurposeOwner, hasDUNSNumber, hasEmail, hasEntityName, hasFax, hasGlobalName, hasISICCode, hasManager, hasManagingEntity, hasMobilePhone, hasNAICSCode, hasName, hasNAPCSCode, hasNote, hasOwnedPurpose, hasSICCode, hasSupportedPurpose, hasSupportingContactPurpose, hasTitle, hasType, hasURL, hasWorkPhone, setAssignedContactpurpose, setAssignedRoles, setBusinessCategory, setCAGECode, setContactpurposeOwner, setDUNSNumber, setEmail, setEntityName, setFax, setGlobalName, setISICCode, setManager, setManagingEntity, setMobilePhone, setNAICSCode, setName, setNAPCSCode, setNote, setOwnedPurpose, setSICCode, setSupportedPurpose, setSupportingContactPurpose, setTitle, setType, setURL, setWorkPhone`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getFirstName

    java.lang.String getFirstName()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFirstName

    void setFirstName(java.lang.String x)

### hasFirstName

    boolean hasFirstName()

### getOrganization

    Organization[] getOrganization()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="false"

### setOrganization

    void setOrganization(Organization[] x)

### hasOrganization

    boolean hasOrganization()

### getMiddleName

    java.lang.String getMiddleName()
                                   throws AttributeNotSetException

  Description: Represents the name or names of a person, where those names are between the name used in the FirstName attribute and the name used in the LastName attribute Standard Content Origin / Best Practice Content:The contents of this attribute should accurately match the value that matches the Human Resources record of the person. Example: Elizabeth Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setMiddleName

    void setMiddleName(java.lang.String x)

### hasMiddleName

    boolean hasMiddleName()

### getLastName

    java.lang.String getLastName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastName

    void setLastName(java.lang.String x)

### hasLastName

    boolean hasLastName()

### getIsManager

    boolean getIsManager()
                         throws AttributeNotSetException

  Description:Used to track whether or not the person has Manager responsibilities Standard Content Origin / Best Practice Content:The contents of this attribute should accurately match the value that matches the Human Resources record of the person. Example:true Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setIsManager

    void setIsManager(boolean x)

### hasIsManager

    boolean hasIsManager()

### getAccount

    Account[] getAccount()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Supports" reverse="false"

### setAccount

    void setAccount(Account[] x)

### hasAccount

    boolean hasAccount()

### getRole

    Role[] getRole()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Fulfills" reverse="false"

### setRole

    void setRole(Role[] x)

### hasRole

    boolean hasRole()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD